#if !defined(AFX_EDITEX_H__2215F956_0513_46A5_BA84_0D4C6E368383__INCLUDED_)
#define AFX_EDITEX_H__2215F956_0513_46A5_BA84_0D4C6E368383__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MwlmfcEditEx.h : ヘッダー ファイル
//

#include "MfcExtSingleData.h"

/////////////////////////////////////////////////////////////////////////////
// CMwlmfcEditEx ウィンドウ

class CMwlmfcEditEx : public mwlmfc::CMfcExtSingleData<CEdit> //public CEdit
{
public:
	// コンストラクション
	CMwlmfcEditEx();
	virtual ~CMwlmfcEditEx();

	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CMwlmfcEditEx)
	//}}AFX_VIRTUAL

	MESD_OPERATOR_EQ

protected:
	//{{AFX_MSG(CMwlmfcEditEx)
		// メモ - ClassWizard はこの位置にメンバ関数を追加または削除します。
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


/*
	CString m_cstrData;
	
public:
	// コンストラクション
	CMwlmfcEditEx();
	virtual ~CMwlmfcEditEx();

	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CMwlmfcEditEx)
	//}}AFX_VIRTUAL

	operator LPCTSTR(){
		if ( m_hWnd != NULL )
			GetWindowText( m_cstrData );
		return m_cstrData;
	}

	operator =( const char* szText ){
		if ( m_hWnd != NULL )
			SetWindowText( szText );
	}

protected:
	//{{AFX_MSG(CMwlmfcEditEx)
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnDestroy();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
*/

namespace mwlmfc{
	typedef CMwlmfcEditEx CEditEx;
}//namespace mwlmfc

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_EDITEX_H__2215F956_0513_46A5_BA84_0D4C6E368383__INCLUDED_)
